#  Copyright Didier Bur
def cam_ar()
	model=Sketchup.active_model
	view=model.active_view
	cam=view.camera
	ar=cam.aspect_ratio
	vpw=view.vpwidth.to_f
	vph=view.vpheight.to_f
	vpar=vpw/vph
	puts vpw,vph
	if ar!=0.0
		UI.messagebox(("Camera Aspect Ratio: "+ar.to_s),MB_OK)
	else
		UI.messagebox(("Camera Aspect Ratio: Not set\nViewport Ratio: "+vpar.to_s),MB_OK)
	end
end

if( not file_loaded?("cam_ar.rb"))
	add_separator_to_menu("Camera")
	UI.menu("Camera").add_item("Report Aspect Ratio") { cam_ar }
end

file_loaded("cam_ar.rb")